2011-04-20 17:01  NiLuJe

	* [r7432] src/build-updates.sh, src/linkss/info.txt:
	  
	  Kindle Hacks:
	  * Tag JB v0.7.N, SS v0.22.N, Fonts v4.6.N

2011-04-20 16:57  NiLuJe

	* [r7431] src/linkss/bin/unlinkss:
	  
	  Kindle Hacks:
	  * JailBreak:
	  * When checking an update file name against the whitelist,
	  don't always assume it will be in the form name_*.bin...
	  (ie. with that extra underscore there). Fix a bunch of
	  hacks, most notably yifanlu's 3.1 on K2 stuff ;).
	  Thanks to tekkasit on MR for the report :).

2011-04-19 02:51  NiLuJe

	* [r7421] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-04-19 02:48  NiLuJe

	* [r7420] src/build-updates.sh, src/linkss/info.txt:
	  
	  Kindle Hacks:
	  * USBNetwork:
	  * Tag v0.33.N
	  * Fonts:
	  * Tag v4.5.N
	  * ScreenSavers:
	  * Tag v0.21.N

2011-04-19 02:38  NiLuJe

	* [r7419] src/linkss/bin/unlinkss:
	  
	  Kindle Hacks:
	  * Update whitelist

2011-04-16 03:43  NiLuJe

	* [r7412] src/linkss/bin/shlock, src/linkss/bin/sort:
	  
	  Kindle Hacks:
	  * Hmm, trusty -O2 builds... :}

2011-04-16 03:09  NiLuJe

	* [r7410] src/linkss/bin/shlock, src/linkss/bin/sort:
	  
	  Kindle Hacks:
	  * New binaries, new gcc version (still -O3)

2011-04-15 20:23  NiLuJe

	* [r7407] src/linkss/bin/shlock, src/linkss/bin/sort:
	  
	  Kindle Hacks:
	  * -O3 binaries. So far, it seems slower...

2011-04-11 02:55  NiLuJe

	* [r7401] src/linkss/bin/unlinkss:
	  
	  Kindle Hacks:
	  * JB, SS, Fonts:
	  * Update whitelist

2011-04-10 00:44  NiLuJe

	* [r7400] src/linkss/bin/unlinkss:
	  
	  Kindle Hacks:
	  * JailBreak:
	  * Add KindleNote devkeys to the whitelist
	  * Fonts & ScreenSavers:
	  * Update whitelist

2011-03-23 01:19  NiLuJe

	* [r7379] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-03-23 01:08  NiLuJe

	* [r7377] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-03-23 01:08  NiLuJe

	* [r7376] src/linkss/bin/unlinkss:
	  
	  Kindle Hacks:
	  * JailBreak:
	  * Fix the dos2unix sed script to work with busybox's crappy sed
	  implementation
	  * Fonts & ScreenSavers:
	  * Update whitelist
	  * USBNetwork:
	  * Do a dos2unix run on the config file before source'ing it

2011-03-07 21:15  NiLuJe

	* [r7362] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL
	  * Update MR Thread

2011-03-07 20:31  NiLuJe

	* [r7361] src/build-updates.sh, src/linkss/info.txt:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Tag v4.4.N
	  * ScreenSavers:
	  * Tag v0.20.N

2011-03-06 03:19  NiLuJe

	* [r7353] src/linkss/bin/unlinkss:
	  
	  Kindle Hacks:
	  * Fonts & ScreenSavers:
	  * Use the full whitelist in the fallback whitelist
	  (because we don't install the jailbreak's whitelist on FW 2.x)

2011-03-01 15:12  NiLuJe

	* [r7328] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-03-01 14:52  NiLuJe

	* [r7326] src/linkss/bin/unlinkss:
	  
	  Kindle Hacks:
	  * JailBreak:
	  * Update whitelist (with Sir Alex requests)
	  * Made the install process custom config checksum tests way more
	  robust.
	  * Fonts & ScreenSavers:
	  * Use a smaller fallback whitelist

2011-03-01 14:02  NiLuJe

	* [r7325] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-02-28 19:37  NiLuJe

	* [r7321] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-02-28 19:37  NiLuJe

	* [r7320] src/linkss/bin/unlinkss:
	  
	  Kindle Hacks:
	  * JailBreak:
	  * Oops, forgot to update the checksums in the install script after the
	  whitelist update.
	  * Fonts/ScreenSavers:
	  * Update fallback whitelist.

2011-02-28 16:11  NiLuJe

	* [r7319] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-02-28 15:41  NiLuJe

	* [r7317] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-02-28 14:48  NiLuJe

	* [r7315] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-02-28 14:47  NiLuJe

	* [r7314] src/linkss/bin/unlinkss:
	  
	  Kindle Hacks:
	  * JailBreak:
	  * Fix whitelist parsing... The Kindle's shell doesn't play nice
	  with unquoted wildcard matches in a test, so use a case switch
	  instead.
	  * Fonts & SCreenSavers:
	  * Fix the update trap tests. (Same issue as the jailbreak).

2011-02-27 20:09  NiLuJe

	* [r7313] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CL

2011-02-27 19:31  NiLuJe

	* [r7312] src/build-updates.sh, src/linkss/info.txt:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Tag v4.3.N
	  * ScreenSavers:
	  * Tag v0.19.N
	  * USBNetwork:
	  * Tag v0.31.N
	  * Update MR Thread

2011-02-27 19:18  NiLuJe

	* [r7311] src/linkss/bin/sort:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Update FreeType libs
	  * Update fc-scan
	  * ScreenSavers:
	  * Update sort
	  * USBNetwork:
	  * Update sftp-server
	  * Update dropbear
	  * Update htop
	  * Update busybox
	  * Update rsync
	  * X-TC:
	  * Update to use the latest versions of a whole bunch of stuff ;)

2011-02-27 16:59  NiLuJe

	* [r7309] src/linkss/bin/unlinkss:
	  
	  Kindle Hacks:
	  * Fonts & ScreenSavers:
	  * Rely on the new jailbreak's hack whitelist for the official update
	  file traps

2010-11-20 00:29  NiLuJe

	* [r7240] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-11-20 00:28  NiLuJe

	* [r7238] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-11-19 22:46  NiLuJe

	* [r7236] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-11-19 22:11  NiLuJe

	* [r7231] src/build-updates.sh, src/linkss/info.txt:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Tag v0.18.N

2010-11-19 18:42  NiLuJe

	* [r7228] src/linkss/bin/usb-watchdog-helper:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * It actually works way better when I commit the right file...
	  Fix autoreboot when Fonts hack is not installed... Damn typo.
	  Thanks to lovesangelrn on KB for catching this ;).

2010-11-19 02:03  NiLuJe

	* [r7216] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-11-19 02:01  NiLuJe

	* [r7214] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-11-16 04:46  NiLuJe

	* [r7196] ChangeLog:
	  
	  Kindle Hacks:
	  * Udate MR Thread
	  * Update ChangeLogs

2010-11-16 04:21  NiLuJe

	* [r7193] src/build-updates.sh, src/linkss/info.txt:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Tag v0.17.N
	  * Fonts:
	  * Tag v4.1.N

2010-11-16 02:49  NiLuJe

	* [r7191] src/linkss/bin/sort:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Update sort binary (Updated coreutils)

2010-11-14 21:12  NiLuJe

	* [r7177] src/install.sh:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Tweak the 'preserving custom content' install logmsg to be a bit
	  more accurate.

2010-11-11 07:33  NiLuJe

	* [r7158] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-11-11 04:54  NiLuJe

	* [r7156] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-11-11 04:25  NiLuJe

	* [r7154] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-11-11 02:19  NiLuJe

	* [r7148] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-11-10 22:31  NiLuJe

	* [r7142] src/linkss/bin/usb-watchdog-helper:
	  
	  Kindle Hacks:
	  * Fonts & SS:
	  * Oops, fix USB watchdog. Of course, shlock needs a non-vfat
	  target to create its lockfile.

2010-11-10 21:59  NiLuJe

	* [r7140] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs
	  * Update MR Thread, in preparation of release.

2010-11-10 21:30  NiLuJe

	* [r7139] src/build-updates.sh, src/linkss/info.txt:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Tag v0.16.N

2010-11-10 21:27  NiLuJe

	* [r7138] src/linkss/bin/linkss:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Kill redundant checks of the custom ss folder.
	  We already do that at the start of the script and abort
	  if the dir is empty/non existent.

2010-11-10 21:24  NiLuJe

	* [r7137] src/linkss/bin/linkss:
	  
	  Kindle Hacks:
	  * Fonts & ScreenSavers:
	  * Do a proper check of /proc/mounts to avoid double-mounts, instead
	  of relying on slightly innacurate file checks.

2010-11-09 21:45  NiLuJe

	* [r7125] src/linkss/bin/usb-watchdog-helper:
	  
	  Kindle Hacks:
	  * Fonts & ScreenSavers:
	  * Make sure the shlock binary is exec'able.

2010-11-09 21:40  NiLuJe

	* [r7124] src/linkss/bin/linkss, src/linkss/bin/unlinkss,
	  src/linkss/bin/usb-watchdog-helper:
	  
	  Kindle Hacks:
	  * Fonts, SS & USBNet:
	  * Simplify all the redundants if $? -eq 0 tests.
	  That's what an if block already does, tests if the
	  exit status of a list of commands is equal to 0, so there's
	  no need to explicitely re-state that ourselves.
	  Only keep it in the install scripts when there's a subshell involved,
	  because I'm not so sure about the subshell thingy as a test condition
	  ;).

2010-11-09 21:32  NiLuJe

	* [r7123] src/linkss/bin/usb-watchdog-helper:
	  
	  Kindle Hacks:
	  * Fonts & ScreenSavers:
	  * Use shlock in the USB watchdog for a proper locking mechanism to
	  avoid
	  multiple concurrent reboots.

2010-11-09 21:15  NiLuJe

	* [r7122] README, src/linkss/bin/shlock[ADD]:
	  
	  Kindle Hacks:
	  * Fonts & ScreenSavers:
	  * Add an shlock binary (util from the DragonFy BSD project),
	  in order to use it to provide a somewhat proper locking mechanism
	  for the USB watchdog.

2010-11-07 17:35  NiLuJe

	* [r7113] src/linkss/bin/unlinkss:
	  
	  Kindle Hacks:
	  * Fonts & ScreenSavers:
	  * Don't trap Duokan update files.

2010-11-07 00:44  NiLuJe

	* [r7098] src/linkss/bin/sort:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Update fc-scan binary (Updated TC, FT, FC & half-shared linked)
	  * ScreenSavers:
	  * Update sort binary (Updated TC, Coreutils)
	  * USBNetwork:
	  * Updated all the binaries (Updated TC)
	  * The busybox binary now supports the httpd applet.

2010-10-25 21:51  NiLuJe

	* [r7048] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-10-25 20:53  NiLuJe

	* [r7046] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-10-19 20:51  NiLuJe

	* [r7003] ChangeLog:
	  
	  Kindle Hacks:
	  * Update MR Thread for jb release.

2010-10-19 04:06  NiLuJe

	* [r7002] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-10-18 21:45  NiLuJe

	* [r6996] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-10-18 20:33  NiLuJe

	* [r6993] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-10-18 20:31  NiLuJe

	* [r6991] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-10-18 05:00  NiLuJe

	* [r6987] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-10-09 21:24  NiLuJe

	* [r6956] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-10-05 02:31  NiLuJe

	* [r6945] src/linkss/bin/unlinkss:
	  
	  Kindle Hacks:
	  * Fots & SS:
	  * Don't backup font_pkg updates

2010-10-04 23:00  NiLuJe

	* [r6941] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLog

2010-10-04 20:31  NiLuJe

	* [r6938] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-10-04 18:22  NiLuJe

	* [r6933] src/build-updates.sh, src/linkss/info.txt:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Tag v0.15.N

2010-10-04 18:20  NiLuJe

	* [r6932] src/linkss/bin/linkss:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Only mount the screensavers for our actual device,
	  based on it's screen resolution.

2010-10-02 03:33  NiLuJe

	* [r6928] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-10-02 03:12  NiLuJe

	* [r6926] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-10-01 16:27  NiLuJe

	* [r6923] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-30 21:15  NiLuJe

	* [r6914] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs
	  * Packager:
	  * Package the font packager

2010-09-30 16:53  NiLuJe

	* [r6910] ChangeLog:
	  
	  Kindle Hacks:
	  * Update Cls
	  * Update MR Thread

2010-09-29 20:43  NiLuJe

	* [r6905] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-28 19:14  NiLuJe

	* [r6901] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-28 16:18  NiLuJe

	* [r6896] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-27 22:23  NiLuJe

	* [r6893] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-27 19:45  NiLuJe

	* [r6889] src/linkss/bin/usb-watchdog:
	  
	  Kindle Hacks:
	  * Fonts & SS
	  * Narrow down a bit the dbus-monitor watch expression for the USB
	  watchdog.

2010-09-27 18:20  NiLuJe

	* [r6888] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-26 14:49  NiLuJe

	* [r6884] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-26 01:47  NiLuJe

	* [r6879] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-25 22:41  NiLuJe

	* [r6873] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-24 12:40  NiLuJe

	* [r6857] README[ADD]:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Forgot to commit that

2010-09-24 00:52  NiLuJe

	* [r6855] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-23 23:17  NiLuJe

	* [r6848] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-09-23 23:16  NiLuJe

	* [r6847] src/build-updates.sh, src/linkss/info.txt:
	  
	  Kindle Hacks:
	  * Tag Fonts v3.9.N
	  * Tag ScreenSavers v0.14.N
	  * Tag USBNet v0.13.N

2010-09-23 23:11  NiLuJe

	* [r6845] src/install.sh:
	  
	  Kindle Hacks:
	  * Fonts & Screensavers:
	  * And make the install script handle the config files migration

2010-09-23 23:03  NiLuJe

	* [r6844] src/linkss/bin/linkss, src/linkss/etc[ADD]:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Move prettyversion.txt to etc
	  * Fonts:
	  * Move all the config files to etc

2010-09-23 22:54  NiLuJe

	* [r6843] src/linkss/bin/linkss, src/linkss/bin/unlinkss,
	  src/linkss/bin/usb-watchdog, src/linkss/bin/usb-watchdog-helper,
	  src/linkss/run[ADD]:
	  
	  Kindle Hacks:
	  * Fonts & SS:
	  * Move pid & lockfiles to the run folder

2010-09-23 21:39  NiLuJe

	* [r6838] src/linkss/bin/sort:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Compile fc-scan dynamically (save ~600ko per model)
	  * ScreenSavers:
	  * Compile sort dynamically (save ~650ko per model)
	  * x-compile:
	  * Rebuild FT/FC & coreutils dynamically :).

2010-09-21 23:56  NiLuJe

	* [r6826] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-21 23:32  NiLuJe

	* [r6822] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-21 20:38  NiLuJe

	* [r6812] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-21 18:17  NiLuJe

	* [r6806] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-21 18:15  NiLuJe

	* [r6805] src/build-updates.sh, src/linkss/info.txt:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Tag v0.13.N

2010-09-21 18:10  NiLuJe

	* [r6804] src/linkss/bin/linkss:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Fix (once again...) the randomizing of screensavers with a space
	  in their filename...

2010-09-21 15:34  NiLuJe

	* [r6800] ChangeLog:
	  
	  Kindle Hacks:
	  * Update Cls.
	  * Update MR Thread.

2010-09-21 15:27  NiLuJe

	* [r6799] src/linkss/bin/sort:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * It's even better if my sort binary can actually run on
	  K2 devices, and not only on K3... ;)

2010-09-21 12:14  NiLuJe

	* [r6793] src/build-updates.sh, src/linkss/bin/linkss,
	  src/linkss/bin/sort[ADD], src/linkss/info.txt:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Properly and truly randomize the screensavers when asked to.
	  (Using coreutils' sort instead of a crappy inacurate shell workaround)
	  * Tag v0.12.N

2010-09-19 23:39  NiLuJe

	* [r6777] ChangeLog:
	  
	  Kindle Hacks:
	  * Update MR thread
	  * Update CLs

2010-09-18 23:57  NiLuJe

	* [r6768] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-18 21:16  NiLuJe

	* [r6766] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-09-18 21:16  NiLuJe

	* [r6765] src/build-updates.sh, src/kindle_update_tool.py,
	  src/linkss/info.txt:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Build for K3 devices
	  * Tag v0.11.N
	  * Update MR thread

2010-09-18 21:07  NiLuJe

	* [r6764] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-08-30 00:45  NiLuJe

	* [r6685] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-08-30 00:43  NiLuJe

	* [r6683] src/build-updates.sh:
	  
	  Kindle Hacks:
	  * Use variables instead of having to repeat the name of the hack
	  multiple times

2010-08-11 03:22  NiLuJe

	* [r6633] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-08-10 22:38  NiLuJe

	* [r6631] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-08-10 21:32  NiLuJe

	* [r6629] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-08-10 21:28  NiLuJe

	* [r6627] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-08-10 21:19  NiLuJe

	* [r6624] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-08-07 03:54  NiLuJe

	* [r6615] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-08-07 03:49  NiLuJe

	* [r6613] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-08-07 03:47  NiLuJe

	* [r6612] src/install.sh:
	  
	  Kindle Hacks:
	  * USBNetwork:
	  * And fix custom directory install here too.
	  * Fonts/SS:
	  * And, no, we don't need to wrap the exclude list var inside an echo.
	  I really need to sleep. -_-"

2010-08-07 03:35  NiLuJe

	* [r6611] src/install.sh:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Huh. Fix install custom content filtering.
	  * Fonts:
	  * Like SS, fix custom directory install.

2010-08-07 03:29  NiLuJe

	* [r6610] src/build-updates.sh, src/install.sh:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Fix install of custom directory. Of course we don't have GNU tar.
	  I'm stupid. Well, instead of using pretty GNU tar features, do it
	  like the official updates, a tmp dir and a double tape.

2010-08-07 01:58  NiLuJe

	* [r6608] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-08-06 23:23  NiLuJe

	* [r6602] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-08-06 23:17  NiLuJe

	* [r6599] src/linkss/bin/unlinkss:
	  
	  Kindle Hacks:
	  * Fonts & SS:
	  * Forgot to specify log level in the skip trap message

2010-08-06 23:11  NiLuJe

	* [r6597] src/install.sh:
	  
	  Kindle Hacks:
	  * USBNetwork:
	  * Package & install usbnet custom directory in the update binfile

2010-08-06 21:42  NiLuJe

	* [r6594] src/build-updates.sh, src/linkss/info.txt:
	  
	  Kindle Hacks:
	  * Tag SS v0.10.N & Fonts v3.7.N

2010-08-06 21:00  NiLuJe

	* [r6592] src/linkss/bin/unlinkss:
	  
	  Kindle Hacks:
	  * SS & Fonts:
	  * Don't trap the update files of our own hacks

2010-08-06 20:50  NiLuJe

	* [r6591] src/build-updates.sh, src/install.sh, src/uninstall.sh:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Package & install linkss directory in the update file.
	  (No need to copy it manually over USB anymore).
	  And we try to leave user's custom content alone.
	  * Log install/uninstall to syslog

2010-07-28 21:28  NiLuJe

	* [r6576] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-07-28 21:23  NiLuJe

	* [r6574] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-07-20 20:28  NiLuJe

	* [r6563] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-07-20 20:28  NiLuJe

	* [r6562] src/build-updates.sh, src/linkss/info.txt:
	  
	  Kindle Hacks:
	  * Tag v0.9.N & v3.6.N

2010-07-20 20:12  NiLuJe

	* [r6561] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-07-20 20:12  NiLuJe

	* [r6560] ChangeLog, src/linkss/bin/unlinkss:
	  
	  Kindle Hacks:
	  * Fonts & SS:
	  * *sigh* Trap official updates too. (case issue)

2010-07-20 19:27  NiLuJe

	* [r6559] src/linkss/bin/linkss:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Use a case switch instead of nested for loops

2010-07-20 19:18  NiLuJe

	* [r6558] src/linkss/bin/linkss:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Made the double-mount safety check faster/more robust.

2010-07-20 00:18  NiLuJe

	* [r6554] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-07-20 00:18  NiLuJe

	* [r6553] src/linkss/bin/linkss:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Fix double-mount check when used in conjunction with the randomizer

2010-07-19 23:19  NiLuJe

	* [r6552] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLog

2010-07-19 23:18  NiLuJe

	* [r6551] src/linkss/bin/unlinkss:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Hmm, fix a big bad typo breaking the stop script -_-"
	  (forgot an if.... >_<")

2010-07-19 22:50  NiLuJe

	* [r6550] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-07-19 22:50  NiLuJe

	* [r6549] src/build-updates.sh, src/linkss/info.txt:
	  
	  Kindle Hacks:
	  * Bump ScreenSavers to 0.8.N
	  * Bump Fonts to 3.5.N

2010-07-19 22:45  NiLuJe

	* [r6548] src/linkss-init, src/linkss/bin/linkss,
	  src/linkss/bin/unlinkss, src/linkss/bin/usb-watchdog,
	  src/linkss/bin/usb-watchdog-helper:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Like the fonts hack, use the system logger.

2010-07-19 21:52  NiLuJe

	* [r6546] src/linkss/bin/linkss, src/linkss/bin/unlinkss:
	  
	  Kindle Hacks:
	  * Kill on stop with a SIGKILL, and not a SIGTERM.
	  We take care of cleanup ourselves anyway, so, better be safe,
	  and really kill, than having stale processes.

2010-07-19 21:47  NiLuJe

	* [r6545] src/linkss/bin/linkss:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Fix another typo in comments

2010-07-19 21:42  NiLuJe

	* [r6544] src/linkss/bin/linkss:
	  
	  Kindle Hacks:
	  * ScreenSavers;
	  * Fix a typo in comments

2010-07-19 21:39  NiLuJe

	* [r6543] src/linkss/bin/linkss, src/linkss/bin/unlinkss:
	  
	  Kindle Hacks:
	  * Avoid a bunch of fork/ls output parsing by using shell globbing
	  instead

2010-07-19 20:07  NiLuJe

	* [r6541] src/linkss/bin/linkss:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Only randomize files, not directories...

2010-07-19 19:57  NiLuJe

	* [r6539] src/linkss/bin/linkss, src/linkss/bin/unlinkss:
	  
	  Kindle Hacks:
	  * Use SIGTERM instead of SIGKILL, it should be enough.
	  * Update TODO

2010-07-19 19:53  NiLuJe

	* [r6538] src/linkss/bin/linkss, src/linkss/bin/unlinkss:
	  
	  Kindle Hacks:
	  * Properly quote path wich may contain spaces or special characters.
	  Fix randomization if your screensavers filenames had spaces in them.

2010-07-18 04:52  NiLuJe

	* [r6530] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-07-12 04:39  NiLuJe

	* [r6520] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-07-11 22:51  NiLuJe

	* [r6516] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-07-11 22:50  NiLuJe

	* [r6515] src/build-updates.sh, src/linkss/info.txt:
	  
	  Kindle Hacks:
	  * Bump ScreenSavers to v0.7.N
	  * Bump Fonts to v3.4.N

2010-07-11 22:33  NiLuJe

	* [r6514] src/linkss/bin/unlinkss:
	  
	  Kindle Hacks:
	  * Fix /etc/prettyversion unmounting. We can't use the source
	  of the mount for umount, because the Kindle uses a weird Fuse
	  plugin... Anyway, must use the target of the mount point.
	  And apparently, the Kindle's umount doesn't whine whith
	  double mounts, so it's safe ;)
	  That effectively made the hacks non update-safe if you had
	  a prettyversion.txt override...

2010-07-11 22:28  NiLuJe

	* [r6513] src/linkss/bin/linkss, src/linkss/bin/unlinkss:
	  
	  Kindle Hacks:
	  * Remove ssviewer. Doesn't work, the mount is done by root,
	  GUI doesn't have sufficient permission.
	  Or something like that. Doesn't really care to investigate xD

2010-07-11 21:46  NiLuJe

	* [r6510] src/linkss/bin/linkss, src/linkss/bin/unlinkss:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Fairly useless new feature: If there's a viewer trigger file,
	  the custom ss dir will be mounted inside the pictures folder,
	  thus being viewable via the Kindle's pictureviewer...

2010-07-11 21:36  NiLuJe

	* [r6509] src/linkss/bin/unlinkss:
	  
	  Kindle Hacks:
	  * Fix another typo in a comment

2010-07-11 21:35  NiLuJe

	* [r6508] src/linkss/bin/linkss, src/linkss/bin/unlinkss,
	  src/linkss/bin/usb-watchdog, src/linkss/bin/usb-watchdog-helper:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Use the new usb-watchdog start/stop code from Fonts

2010-07-09 18:15  NiLuJe

	* [r6482] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-07-09 18:15  NiLuJe

	* [r6481] src/linkss/screensavers/00_kindle_def_600.png[DEL],
	  src/linkss/screensavers/00_you_can_delete_me.png[CPY]:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Tweaked the default custom screensaver to make it more obvious that
	  it
	  in fact is a custom screensaver, and that the hack was successfully
	  installed.

2010-07-09 15:46  NiLuJe

	* [r6480] src/kindle_update_tool.py:
	  
	  Kindle Hacks:
	  * Yep. KDX Graphite support works.

2010-07-09 04:31  NiLuJe

	* [r6479] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-07-09 04:31  NiLuJe

	* [r6478] src/kindle_update_tool.py:
	  
	  Kindle Hacks:
	  * DXg support... Take three.

2010-07-08 22:14  NiLuJe

	* [r6477] src/kindle_update_tool.py:
	  
	  Kindle Hacks:
	  * DXG support, take two. (probably won't work either).

2010-07-08 20:05  NiLuJe

	* [r6475] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-07-08 20:04  NiLuJe

	* [r6474] src/build-updates.sh, src/kindle_update_tool.py:
	  
	  Kindle Hacks:
	  * Add Kindle DX Graphite support (And hopefully actually working...
	  ^^)

2010-07-05 03:32  NiLuJe

	* [r6463] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLog

2010-07-05 03:29  NiLuJe

	* [r6462] src/linkss/info.txt:
	  
	  Kindle Hacks:
	  * Update version tag in the info.txt file

2010-07-05 02:49  NiLuJe

	* [r6460] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs for the quick fix releases (v3.3.N & v0.6.N).
	  Forgot to zero-pad the kill init level var. *sigh*

2010-07-05 02:23  NiLuJe

	* [r6459] src/build-updates.sh, src/install.sh, src/uninstall.sh:
	  
	  Kindle Hacks:
	  * Fonts & SS:
	  * Oops. Fix the update-safe & update trap feature.

2010-07-04 23:09  NiLuJe

	* [r6457] ChangeLog:
	  
	  Kindle Hacks:
	  * Update ChangeLogs

2010-07-04 20:09  NiLuJe

	* [r6454] src/linkss/bin/linkss:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Make it possible to optionnaly randomize screensavers on boot

2010-07-04 17:27  NiLuJe

	* [r6452] src/build-updates.sh, src/linkss/bin/unlinkss:
	  
	  Kindle Hacks:
	  * Fonts:
	  * Bump to 3.2.N
	  * Use the correct mask for update trapping
	  * ScreenSavers:
	  * Bump to 0.5.N
	  * Use the correct mask for update trapping

2010-07-04 02:08  NiLuJe

	* [r6447] src/linkss/bin/linkss:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Fix usb watchdog starting tests.

2010-07-04 02:04  NiLuJe

	* [r6446] src/linkss/bin/linkss, src/linkss/bin/unlinkss,
	  src/linkss/bin/usb-watchdog[ADD],
	  src/linkss/bin/usb-watchdog-helper[ADD]:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * And finish merging the new features from Fonts:
	  * USB watchdog & anti double-mounts

2010-07-04 01:36  NiLuJe

	* [r6445] src/install.sh, src/linkss-init, src/linkss/autoreboot[ADD],
	  src/linkss/bin/linkss, src/linkss/bin/unlinkss[ADD], src/uninstall.sh:
	  
	  Kindle Hacks:
	  * ScreenSavers:
	  * Initial merge of the new features from Fonts:
	  * Install/Uninstall
	  * Proper unmount of shutdown/reboot/update

2010-07-03 21:18  NiLuJe

	* [r6437] ChangeLog:
	  
	  Kindle Hacks:
	  * Update CLs

2010-07-03 21:17  NiLuJe

	* [r6436] src/linkss/bin/linkss:
	  
	  Kindle Hacks:
	  * SS:
	  * Avoid possible error with empty string in a compound test
	  * Fonts:
	  * Trust the return status instead of the stdout of kill
	  * Avoid possible error with empty string in a compound test

2010-07-02 01:46  NiLuJe

	* [r6420] src/linkss/bin/linkss:
	  
	  Kindle Hacks:
	  * Redirect error output of forked process to dev/null (ls)
	  * Fonts:
	  * Trap update files on shutdown (so we can take a look
	  at official OTA updates later without fuss)

2010-07-01 18:36  NiLuJe

	* [r6418] ChangeLog:
	  
	  Kindle Hacks:
	  * Tweak ChangeLog gen

2010-07-01 18:33  NiLuJe

	* [r6417] ChangeLog[ADD]:
	  
	  Kindle Hacks:
	  * Add a full ChangeLog :)

2010-07-01 18:20  NiLuJe

	* [r6416] src/build-updates.sh, src/install.sh, src/linkss-init,
	  src/linkss/bin/linkss, src/linkss/info.txt[ADD], src/uninstall.sh,
	  update_ss_0.4.N_k2i_install.bin[DEL],
	  update_ss_0.4.N_k2i_uninstall.bin[DEL]:
	  
	  Kindle:
	  * Hacks:
	  * Add info.txt file for Fonts & SS hacks to their respective
	  custom folder, with a link to the MR posts.
	  * Add Id svn keywords to each custom shell scripts

2010-07-01 18:07  NiLuJe

	* [r6415] src/build-updates.sh:
	  
	  Kindle:
	  * Make zip from a SVN checkout to avoid issue like with the first
	  release...
	  * Use dx/dxi instead of k3/k3i to avoid confusion with the new DX
	  graphite and
	  the probably upcoming 'real' k3.
	  * Fonts:
	  * USB Watchdog:
	  * Sleep for 10 seconds to let everything settle (and give us a
	  chance to do a physical reset if things go wrong)

2010-06-23 00:02  NiLuJe

	* [r6408] src/linkss/bin/linkss:
	  
	  Kindle:
	  * Fonts & SS:
	  * Ditch tabs

2010-06-22 22:52  NiLuJe

	* [r6407] src/linkss/bin/linkss:
	  
	  Kindle:
	  * ScreenSavers:
	  * Add a sanity check, abort if we don't have any custom screensavers

2010-06-22 22:12  NiLuJe

	* [r6404] update_ss_0.4.N_k2i_install.bin,
	  update_ss_0.4.N_k2i_uninstall.bin:
	  
	  Kindle:
	  * Refresh SS & Fonts bin

2010-06-22 16:53  NiLuJe

	* [r6400] src/linkss-init, src/linkss/AUTO[DEL], src/linkss/BACKUP[DEL],
	  src/linkss/auto[CPY], src/linkss/backup[CPY], src/linkss/bin/linkss,
	  update_ss_0.4.N_k2i_install.bin, update_ss_0.4.N_k2i_uninstall.bin:
	  
	  Kindle:
	  * Fonts & ScreenSavers:
	  * Use lowercase trigger files, to avoid issues with
	  systems mounting vfat as all-lowercase

2010-06-21 23:20  NiLuJe

	* [r6394] src/install.sh, update_ss_0.4.N_k2i_install.bin,
	  update_ss_0.4.N_k2i_uninstall.bin:
	  
	  Kindle:
	  * Fonts & ScreenSavers:
	  * More tiny formatting cleanups

2010-06-21 23:17  NiLuJe

	* [r6393] src/install.sh, src/linkss-init, src/uninstall.sh,
	  update_ss_0.4.N_k2i_install.bin, update_ss_0.4.N_k2i_uninstall.bin:
	  
	  Kindle:
	  * ScreenSavers:
	  * Tiny formatting cleanups

2010-06-21 22:58  NiLuJe

	* [r6390] src/linkss/backup[DEL], src/linkss/backups[CPY],
	  src/linkss/bin/linkss:
	  
	  Kindle:
	  * ScreenSavers:
	  * Factorize the script a bit.
	  * Fix backup feature. Crappy FAT.

2010-06-21 19:01  NiLuJe

	* [r6389] src/linkss/bin/linkss:
	  
	  Kindle:
	  * ScreenSavers:
	  * Fix deletion of mac ._* files

2010-06-20 23:52  NiLuJe

	* [r6388] .[ADD], src[ADD], src/build-updates.sh[ADD],
	  src/install.sh[ADD], src/kindle_update_tool.py[ADD], src/linkss[ADD],
	  src/linkss-init[ADD], src/linkss/AUTO[ADD], src/linkss/BACKUP[ADD],
	  src/linkss/backup[ADD], src/linkss/backup/600x800[ADD],
	  src/linkss/backup/824x1200[ADD], src/linkss/bin[ADD],
	  src/linkss/bin/linkss[ADD], src/linkss/screensavers[ADD],
	  src/linkss/screensavers/00_kindle_def_600.png[ADD],
	  src/uninstall.sh[ADD], update_ss_0.4.N_k2i_install.bin[ADD],
	  update_ss_0.4.N_k2i_uninstall.bin[ADD]:
	  
	  

